package com.qmth.boot.tools.models;

import java.security.KeyPair;

/**
 * RSA公钥私钥对
 */
public class RsaKeyPair {

    private KeyPair pair;

    public RsaKeyPair(KeyPair pair) {
        this.pair = pair;
    }

    /**
     * 获取公钥二进制内容
     *
     * @return
     */
    public ByteArray getPublicKey() {
        return ByteArray.fromArray(pair.getPublic().getEncoded());
    }

    /**
     * 获取私钥二进制内容
     *
     * @return
     */
    public ByteArray getPrivateKey() {
        return ByteArray.fromArray(pair.getPrivate().getEncoded());
    }

}
